Bug 701012 - gedit doesn't highlight the current text line
gedit doesn't highlight the current text line
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-30 08:01 EDT by Theodore Lee
Modified: 2012-08-07 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:21:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Theodore Lee 2011-04-30 08:01:42 EDT
Description of problem:
The 'Highlight current line' option in gedit isn't working.

Version-Release number of selected component (if applicable):
gedit-3.0.2-1.fc15.x86_64

How reproducible:
Always reproducible.

Steps to Reproduce:
1. Go to Edit > Preferences.
2. Check 'Highlight current line'.
3. Close the preferences dialogue and click on any line in your current file.
  
Actual results:
The line is not highlighted.

Expected results:
The line should be highlighted.
Comment 1 collura 2011-06-23 23:45:24 EDT
still there in gedit-3.0.5-1.f15 (x86_64)

https://bugzilla.redhat.com/show_bug.cgi?id=715201
Comment 2 collura 2011-06-23 23:54:06 EDT
related:

https://bugzilla.redhat.com/show_bug.cgi?id=705247
Comment 3 collura 2011-06-24 00:12:22 EDT
reference to gtksourceview3 upstream bug:  
    https://bugzilla.redhat.com/show_bug.cgi?id=709458#c1
Comment 4 Tsu Jan 2011-06-29 21:26:41 EDT
I come from Debian with the same problem. I found that it's related to the Adwaita theme and not to any bug in gEdit or GtkSourceView. Removal of the "background-color" line in the notebook style of the theme (in gtk-widgets.css) fixed the issue for me.

I have no Fedora but I fixed the issue in my friend's OpenSuse in the same way, so I thought that Fedora couldn't be an exception. Try it!
Comment 5 collura 2011-11-02 23:25:55 EDT
current line hilighting looks fixed 
by fc16-gnome-rc2 which has 
  gedit-2:3.2.1-1.fc16 (64bit)
  adwaita-gtk3-theme-3.2.1-2.fc16 (64bit)
for the basic color schemes (classic/cobalt/kate/oblivion/tango)
Comment 6 Fedora End Of Life 2012-08-07 14:21:02 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.